package com.miaxis.wx.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.wx.domain.WxOrder;
import com.miaxis.wx.dto.QuerySchoolOrderListDTO;
import com.miaxis.wx.dto.WxExtractBankDTO;
import com.miaxis.wx.vo.WxSchoolOrder;

import java.util.List;

/**
 */
public interface IWxOrderService extends IService<WxOrder>{



    void createVipOrder(WxOrder order);

    WxOrder getByOutTradeNo(String outTradeNo);


    List<WxSchoolOrder> QuerySchoolOrderList(QuerySchoolOrderListDTO dto);

    String wxwithdrawal(Integer amount) throws Exception;

    String wxwithbankdrawal(WxExtractBankDTO amount) throws Exception;

    void writeNotifyDataToDb(JSONObject jsonObject);

    Object getTotalPay(QuerySchoolOrderListDTO dto);
}
